
CoCoALib - Support #1494

Normaliz 3.8.9

30 Sep 2020 11:09 - John Abbott

Status: Closed Start date: 30 Sep 2020

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Various Estimated time: 2.22 hours

Target version: CoCoALib-0.99800 Spent time: 2.05 hours

Description

At the moment CoCoALib is not compatible with Normaliz 3.8.9 (recently released, late Sept 2020).

Making it compatible will probably break backward compatibility with earlier versions of Normaliz.

Resolve!

Related issues:

Related to CoCoALib - Support #1497: Doc for normaliz fns New 02 Oct 2020

Related to CoCoALib - Design #710: Update normaliz interface? In Progress 17 May 2015

Related to CoCoALib - Support #1591: Compilation of Normaliz Closed 30 Apr 2021

Related to CoCoALib - Support #1592: Normaliz 3.8.10 Closed 06 May 2021

History

#1 - 30 Sep 2020 11:14 - John Abbott

I have changed the include directives to include only libnormaliz/libnormaliz.h which includes all Normaliz headers (I believe).

Compilation fails because the mem fn getGenerators is no longer defined.

Bruns advised me that we should use getTrianglulationGenerators instead.

#2 - 30 Sep 2020 11:57 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 30

I have made the change, and CoCoALib now compiles, but I do not know whether it really does what people might expect.

The CoCoALib function is called Generators; perhaps it should be renamed to TriangulationGenerators?

(and update doc accordingly... there is some doc, right?)

NOTE I have changed the name of the CoCoALib fn to TriangulationGenerators

#3 - 30 Sep 2020 14:08 - John Abbott

- % Done changed from 30 to 40

Now it compiles for me.  But I did not find any doc about which functions CoCoALib/CoCoA-5 make available when Normaliz is present :-(

#4 - 02 Oct 2020 20:30 - John Abbott

- Status changed from In Progress to Resolved

- Assignee set to John Abbott
- % Done changed from 40 to 70

I have refreshed the script normaliz-version.sh and updated configure to use it and check that the version is at least 3.8.9.

#5 - 02 Oct 2020 20:32 - John Abbott

- Related to Support #1497: Doc for normaliz fns added

#6 - 30 Oct 2020 11:07 - John Abbott

- Related to Design #710: Update normaliz interface? added

#7 - 30 Oct 2020 11:08 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 70 to 100

- Estimated time set to 2.22 h

#8 - 05 May 2021 14:45 - John Abbott

- Related to Support #1591: Compilation of Normaliz added

#9 - 06 May 2021 07:30 - Anna Maria Bigatti

- Related to Support #1592: Normaliz 3.8.10 added
